import { QComboBox, QWidget, QSize, QVariant, SizeAdjustPolicy, InsertPolicy, QIcon, QComboBoxSignals } from "@nodegui/nodegui";
import { ViewProps } from "../View/RNView";
import { RNWidget } from "../config";
export interface ComboBoxProps extends ViewProps<QComboBoxSignals> {
    items?: ComboBoxItem[];
    count?: number;
    iconSize?: QSize;
    frame?: boolean;
    currentIndex?: number;
    currentData?: QVariant;
    currentText?: string;
    duplicatesEnabled?: boolean;
    editable?: boolean;
    insertPolicy?: InsertPolicy;
    maxCount?: number;
    maxVisibleItems?: number;
    minimumContentsLength?: number;
    modelColumn?: number;
    sizeAdjustPolicy?: SizeAdjustPolicy;
}
declare type ComboBoxItem = {
    text: string;
    icon?: QIcon;
    userData?: QVariant;
};
/**
 * @ignore
 */
export declare class RNComboBox extends QComboBox implements RNWidget {
    setProps(newProps: ComboBoxProps, oldProps: ComboBoxProps): void;
    appendInitialChild(child: QWidget<any>): void;
    appendChild(child: QWidget<any>): void;
    insertBefore(child: QWidget<any>, beforeChild: QWidget<any>): void;
    removeChild(child: QWidget<any>): void;
    static tagName: string;
}
export {};
