import { FocusReason, QWidget, QDialog, QDialogSignals, QFont } from "@nodegui/nodegui";
import { RNWidget } from "../config";
import { ViewProps } from "../View/RNView";
export interface DialogProps<T extends {} = QDialogSignals> extends ViewProps<T> {
    open?: boolean;
    font?: QFont;
    focus?: FocusReason;
    modal?: boolean;
    result?: number;
    reject?: boolean;
    enableSizeGrip?: boolean;
}
export declare function setDialogProps(widget: RNDialog, newProps: DialogProps, oldProps: DialogProps): void;
export declare class RNDialog extends QDialog implements RNWidget {
    setProps(newProps: DialogProps, oldProps: DialogProps): void;
    appendInitialChild(child: QWidget<any>): void;
    appendChild(child: QWidget<any>): void;
    insertBefore(child: QWidget<any>, beforeChild: QWidget<any>): void;
    removeChild(child: QWidget<any>): void;
    static tagName: string;
}
