import { QWidget, QFileDialog, DialogLabel, QFileDialogSignals, Option } from "@nodegui/nodegui";
import { RNWidget } from "../config";
import { DialogProps } from "../Dialog/RNDialog";
export interface FileDialogLabelText {
    label: DialogLabel;
    text: string;
}
export interface DialogOption<T = Option> {
    option: T;
    on: boolean;
}
export interface FileDialogProps extends DialogProps<QFileDialogSignals> {
    defaultSuffix?: string;
    supportedSchemes?: string[];
    labelText?: FileDialogLabelText;
    option?: DialogOption;
    options?: Option;
}
export declare class RNFileDialog extends QFileDialog implements RNWidget {
    setProps(newProps: FileDialogProps, oldProps: FileDialogProps): void;
    appendInitialChild(child: QWidget<any>): void;
    appendChild(child: QWidget<any>): void;
    insertBefore(child: QWidget<any>, beforeChild: QWidget<any>): void;
    removeChild(child: QWidget<any>): void;
    static tagName: string;
}
