import { QLabel, QWidget, QLabelSignals, TextInteractionFlag } from '@nodegui/nodegui';
import { ViewProps } from '../View/RNView';
import { RNWidget } from '../config';
export interface TextProps extends ViewProps<QLabelSignals> {
    children?: string | number | Array<string | number>;
    wordWrap?: boolean;
    scaledContents?: boolean;
    openExternalLinks?: boolean;
    textInteractionFlags?: TextInteractionFlag;
}
/**
 * @ignore
 */
export declare const setTextProps: (widget: RNText, newProps: TextProps, oldProps: TextProps) => void;
/**
 * @ignore
 */
export declare class RNText extends QLabel implements RNWidget {
    setProps(newProps: TextProps, oldProps: TextProps): void;
    appendInitialChild(child: QWidget<any>): void;
    appendChild(child: QWidget<any>): void;
    insertBefore(child: QWidget<any>, beforeChild: QWidget<any>): void;
    removeChild(child: QWidget<any>): void;
    static tagName: string;
}
